# about.py
#
# Moleskine: a source code editor for the GNOME desktop
#
# Copyright (c) 2001   Michele Campeotto <micampe@f2s.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from gnome.ui import GnomeAbout
from gnome.util import datadir_file

authors = [
    'Michele Campeotto',
    '',
    'Contributions by:',
    'Mattew Pratt',
    'Sourav K. Mandal',
    '',
    'Logo by:',
    'Alberto Doriguzzi Bozzo']

description = "Moleskine is a source code editor for the GNOME desktop."

def show_infos():
    dialog = GnomeAbout(
        'Moleskine', '0.6.5', '(C) 2000 - 2001 Michele Campeotto',
        authors, description,
        datadir_file('Moleskine/images/moleskine-logo.jpeg'))
    dialog.show()
